=== debian/changelog ===
libechonest (1.1.8-2) unstable; urgency=low

  * Switch package to multiarch.
    - Build-depend on debhelper >= 8.1.3.
    - Add Pre-Depends: ${misc:Pre-Depends} to libechonest1.1.
    - Set debhelper compatibility to 9.
    - Create template files for replacing the arch triplet with sed. Thanks
      Pino Toscano and José Manuel Santamaría Lema for the help.
    - Create debian/clean to remove the install files created by debian/rules.
    - Set Multi-Arch: same in libechonest1.1.
    - Override Lintian warning us that compat level 9 has not a correspondent
      B-D, as compat level 9 is still experimental.
  * Fix typo in dev and dbg packages descriptions.

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Wed, 27 Jul 2011 22:13:10 -0300

libechonest (1.1.8-1) unstable; urgency=low

  * New upstream release (Closes: #629237).
  * Update watch file.
  * Update symbols file.
    - Confirm 1.1.3's symbols for armel.
    - Two symbols were missing in 1.1.8, it seems safe to ignore them.
  * Build-Depend on pkg-kde-tools in order to use pkgkde-symbolshelper.
    This will help us with Qt's typedefs that changes with some architectures,
    like qfloat.
  * Disable -Werror instead of some warnings.
  * Set DM-Upload-Allowed: yes.

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Sat, 04 Jun 2011 21:08:54 -0300

libechonest (1.1.3-2) unstable; urgency=low

  * Be more verbose on install files.
  * Make libechonest-dbg recommend libqt4-dbg.
  * Disable passing -Wcast-align to the compiler (Closes: #627364).
  * Rename libechonest1.1-dbg to libechonest-dbg, it's easier to maintain.
    (Closes: #628173).
    - Rename the dbg package in debian/rules.
    - Rename the dbg package in debian/control.
    - Add Replaces and Breaks libechonest1.1-dbg (<< 1.1.3-1) on
      libechonest-dbg.
    - Add a transitional libechonest1.1-dbg package.
  * Bumped Standards-Version to 3.9.2, no changes needed.
  * Remove an unnecesary watchfile template.

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Fri, 27 May 2011 18:41:30 -0300

libechonest (1.1.3-1) unstable; urgency=low

  * Initial release (Closes: #607014)

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Mon, 14 Feb 2011 12:39:52 -0300
