=== debian/control ===
Source: libechonest
Priority: extra
Maintainer: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8.1.3), cmake, libqt4-dev, libqjson-dev,
 pkg-config, pkg-kde-tools (>= 0.6~)
Standards-Version: 3.9.2
Section: libs
Homepage: https://projects.kde.org/projects/playground/libs/libechonest
Vcs-Git: git://dumbledore.com.ar/debian-package-libechonest.git
Vcs-Browser: http://dumbledore.com.ar/gitweb/?p=debian-package-libechonest.git;a=summary

Package: libechonest1.1
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Qt library for communicating with The Echo Nest platform
 Libechonest is a Qt library for communicating with 'The Echo Nest':
 an 'intelligent music application platform'. It currently supports all
 of the features of the Echo Nest API, including all the API functions.

Package: libechonest-dev
Section: libdevel
Architecture: any
Depends: libechonest1.1 (= ${binary:Version}), ${misc:Depends}
Description: Qt library for The Echo Nest platform - development files
 Libechonest is a Qt library for communicating with 'The Echo Nest':
 an 'intelligent music application platform'. It currently supports all
 of the features of the Echo Nest API, including all the API functions.
 .
 These are the development files.

Package: libechonest-dbg
Section: debug
Architecture: any
Recommends: libqt4-dbg
Depends: libechonest1.1 (= ${binary:Version}), ${misc:Depends}
Replaces: libechonest1.1-dbg (<< 1.1.3-1)
Breaks: libechonest1.1-dbg (<< 1.1.3-1)
Description: Qt library for The Echo Nest platform - debug files
 Libechonest is a Qt library for communicating with 'The Echo Nest':
 an 'intelligent music application platform'. It currently supports all
 of the features of the Echo Nest API, including all the API functions.
 .
 These are the debuging files.

Package: libechonest1.1-dbg
Section: oldlibs
Architecture: all
Depends: libechonest-dbg, ${misc:Depends}
Description: trasitional dummy package for echonest's debugging symbols
 This package is intended to provide a smooth transition to
 libechonest-dbg. It can be safely removed.
