## libechonest 1.2.0

=== debian/changelog ===
libechonest (1.2.0-2~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * Revert multi-arch changes.
  * Remove symbol file to ease the backport.

 -- Thomas Pierson <web.pierson@gmail.com>  Tue, 29 Nov 2011 23:34:10 +0100

libechonest (1.2.0-2) unstable; urgency=low

  * Use DEB_CXXFLAGS_MAINT_APPEND to avoid losing default compiler flags
    when built with dpkg >= 1.16.1. Thanks Colin Watson for the bug
    and patch (Closes: #647339).
  * Remove some private symbols that dissapeared. This is most probably some
    compiler thing. Feel free to prove me wrong :-)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 08 Nov 2011 20:12:24 -0300

libechonest (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * The "I forgot to change UNRELEASED in my last upload" release.
    Replaced the distribution in the changelog entry below to show a sane
    value.
  * Remove libechonest1.1 and switch to libechonest1.2 due to SONAME change.
  * Remove the transitional package libechonest1.1-dbg as is no longer needed.
  * Rename file names wich contain the SONAME.
  * Rename strings wich contain the SONAME in debian/*.
  * Renew symbols file due to changed SONAME.
  * Remove uneeded lintian override.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 03 Oct 2011 23:48:27 -0300

libechonest (1.1.9-2) unstable; urgency=low

  * Pass -c0 to dpkg-gensymbols to avoid FTBFSs due to missing symbols in
    differents archs wich are fine per-se.. This also means I have to
    take greater care with symbols before pushing a package.
  * Update symbols files with build logs from buildd.
  * Update symbols from alpha, armhf and sh4 ports.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 03 Oct 2011 20:48:46 -0300

libechonest (1.1.9-1) unstable; urgency=low

  * New upstream release.
  * Change my e-mail address.
  * Remove DM-Upload-Allowed flag. It is no longer needed.
  * Update symbols files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 25 Sep 2011 14:46:03 -0300
