=== debian/control ===
Source: libechonest
Priority: extra
Maintainer: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: dpkg (>= 1.15.8~), debhelper (>= 8.0.0), cmake, libqt4-dev,
 libqjson-dev, pkg-config, pkg-kde-tools (>= 0.6~)
Standards-Version: 3.9.2
Section: libs
Homepage: https://projects.kde.org/projects/playground/libs/libechonest
Vcs-Git: git://dumbledore.com.ar/debian-package-libechonest.git
Vcs-Browser: http://dumbledore.com.ar/gitweb/?p=debian-package-libechonest.git;a=summary

Package: libechonest1.2
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt library for communicating with The Echo Nest platform
 Libechonest is a Qt library for communicating with 'The Echo Nest':
 an 'intelligent music application platform'. It currently supports all
 of the features of the Echo Nest API, including all the API functions.

Package: libechonest-dev
Section: libdevel
Architecture: any
Depends: libechonest1.2 (= ${binary:Version}), ${misc:Depends}
Description: Qt library for The Echo Nest platform - development files
 Libechonest is a Qt library for communicating with 'The Echo Nest':
 an 'intelligent music application platform'. It currently supports all
 of the features of the Echo Nest API, including all the API functions.
 .
 These are the development files.

Package: libechonest-dbg
Section: debug
Architecture: any
Recommends: libqt4-dbg
Depends: libechonest1.2 (= ${binary:Version}), ${misc:Depends}
Description: Qt library for The Echo Nest platform - debug files
 Libechonest is a Qt library for communicating with 'The Echo Nest':
 an 'intelligent music application platform'. It currently supports all
 of the features of the Echo Nest API, including all the API functions.
 .
 These are the debuging files.
