=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

#https://projects.kde.org/projects/playground/libs/libechonest libechonest-(.*)\.tar\.bz2
http://pwsp.cleinias.com/libechonest-(.*)\.tar\.bz2
