## libechonest 1.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,8 +17,8 @@
 include( ${QT_USE_FILE} )
 
 set( ECHONEST_LIB_MAJOR_VERSION "1" )
-set( ECHONEST_LIB_MINOR_VERSION "1" )
-set( ECHONEST_LIB_PATCH_VERSION "5" )
+set( ECHONEST_LIB_MINOR_VERSION "2" )
+set( ECHONEST_LIB_PATCH_VERSION "0" )
 set( ECHONEST_LIB_VERSION "${ECHONEST_LIB_MAJOR_VERSION}.${ECHONEST_LIB_MINOR_VERSION}.${ECHONEST_LIB_PATCH_VERSION}" )
 
 set( ECHONEST_LIB_VERSION_SONAME "${ECHONEST_LIB_MAJOR_VERSION}.${ECHONEST_LIB_MINOR_VERSION}")
@@ -83,7 +83,7 @@
 find_package(Doxygen)
 if(DOXYGEN_FOUND)
     configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile @ONLY)
-    add_custom_target(doc ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR} 
+    add_custom_target(doc ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
                          COMMENT "Generating API documentation with Doxygen" VERBATIM
 )
 endif(DOXYGEN_FOUND)
