=== debian/changelog ===
libechonest (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * Depend on debhelper >= 9.
    - Remove lintian override related to non-existant level 9 compatibility,
      it's already here.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 23 Jan 2012 11:07:54 -0300
