=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libechonest
 Priority: extra
 Maintainer: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
-Build-Depends: dpkg (>= 1.15.8~), debhelper (>= 8.0.0), cmake, libqt4-dev,
+Build-Depends: dpkg (>= 1.16.1~), debhelper (>= 9), cmake, libqt4-dev,
  libqjson-dev, pkg-config, pkg-kde-tools (>= 0.6~)
 Standards-Version: 3.9.2
 Section: libs
@@ -13,6 +13,7 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
 Description: Qt library for communicating with The Echo Nest platform
  Libechonest is a Qt library for communicating with 'The Echo Nest':
  an 'intelligent music application platform'. It currently supports all
