=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility=hidden -fvisibility-inlines-hidden

%:
	dh $@ --dbg-package=libechonest-dbg --parallel --with=pkgkde-symbolshelper

override_dh_install:
	# Replace the correct arch triplet using the templates.
	sed s/%DEB_HOST_MULTIARCH%/$(DEB_HOST_MULTIARCH)/ \
	debian/libechonest1.2.install.in > debian/libechonest1.2.install
	sed s/%DEB_HOST_MULTIARCH%/$(DEB_HOST_MULTIARCH)/ \
	debian/libechonest-dev.install.in > debian/libechonest-dev.install
	dh_install

override_dh_makeshlibs:
	dh_makeshlibs -- -c0
