=== debian/changelog ===
libechonest (2.0.2-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 21 Jan 2013 16:35:24 +0100

libechonest (2.0.1-1) experimental; urgency=low

  * New upstream release.
  * Change url of watch file. Again.
  * Refresh disable_werror.patch. The semantincs have changed, the idea still
    remains the same.
  * Refresh 01_dont_do_unit_tests.patch.
  * Rename files with soname in it.
    - Update symbols file.
    - Also change soname inside the files.
  * Change soname in clean, control and rules.
  * Bump Standars-version to 3.9.3. No changes needed.
  * debian/copyright: update Format version.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 29 Jul 2012 16:30:36 -0300
