=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 override_dh_install:
 	# Replace the correct arch triplet using the templates.
 	sed s/%DEB_HOST_MULTIARCH%/$(DEB_HOST_MULTIARCH)/ \
-	debian/libechonest1.2.install.in > debian/libechonest1.2.install
+	debian/libechonest2.0.install.in > debian/libechonest2.0.install
 	sed s/%DEB_HOST_MULTIARCH%/$(DEB_HOST_MULTIARCH)/ \
 	debian/libechonest-dev.install.in > debian/libechonest-dev.install
 	dh_install
