## libechonest 2.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,8 +17,8 @@
 include( ${QT_USE_FILE} )
 
 set( ECHONEST_LIB_MAJOR_VERSION "2" )
-set( ECHONEST_LIB_MINOR_VERSION "0" )
-set( ECHONEST_LIB_PATCH_VERSION "2" )
+set( ECHONEST_LIB_MINOR_VERSION "1" )
+set( ECHONEST_LIB_PATCH_VERSION "0" )
 set( ECHONEST_LIB_VERSION "${ECHONEST_LIB_MAJOR_VERSION}.${ECHONEST_LIB_MINOR_VERSION}.${ECHONEST_LIB_PATCH_VERSION}" )
 
 set( ECHONEST_LIB_VERSION_SONAME "${ECHONEST_LIB_MAJOR_VERSION}.${ECHONEST_LIB_MINOR_VERSION}")
@@ -29,11 +29,6 @@
        -Wold-style-cast -Woverloaded-virtual -Wnon-virtual-dtor )
     if ( NOT WIN32 )
         add_definitions( -fvisibility=hidden )
-    endif()
-
-    # disable -Werror on ARM since Qt containers cause a lot of alignment warnings
-    if ( NOT CMAKE_SYSTEM_PROCESSOR MATCHES "arm" )
-        add_definitions( -Werror )
     endif()
 
 # to be added:
