=== src/CMakeLists.txt ===
--- 
+++ 
@@ -40,10 +40,6 @@
 
 QT4_WRAP_CPP( ${LIBECHONEST_H} )
 
-if (CMAKE_COMPILER_IS_GNUCXX)
-    add_definitions( -Werror )
-endif (CMAKE_COMPILER_IS_GNUCXX)
-
 SET( OS_SPECIFIC_LINK_LIBRARIES "" )
 IF( APPLE OR MINGW )
   SET( OS_SPECIFIC_LINK_LIBRARIES ${QJSON_LIBRARIES} )
