=== debian/changelog ===
libechonest (2.1.0-2) unstable; urgency=low

  * Update symbols files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 11 Jul 2013 10:08:10 -0300

libechonest (2.1.0-1) unstable; urgency=low

  * Upload to unstable.
  * Bump Standars-version to 3.9.4. No changes needed.
  * Remove disable_werror.patch, seem sno longer needed.
  * Do not override dh_makeshlibs, we better let symbols make thing FTBFS.
  * FTBFS if we are not shipping some installed stuff.
  * Install pkgconfig file.
  * Make the debug package M-A same to allow coinstallation of debugging
    symbols.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 10 Jul 2013 18:04:39 -0300
