=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: libechonest
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
+Maintainer: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
 Build-Depends: dpkg (>= 1.16.1~), debhelper (>= 9), cmake, libqt4-dev,
  libqjson-dev, pkg-config, pkg-kde-tools (>= 0.6~)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Section: libs
 Homepage: https://projects.kde.org/projects/playground/libs/libechonest
 Vcs-Git: git://dumbledore.com.ar/debian-package-libechonest.git
 Vcs-Browser: http://dumbledore.com.ar/gitweb/?p=debian-package-libechonest.git;a=summary
 
-Package: libechonest2.0
+Package: libechonest2.1
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -23,7 +22,7 @@
 Package: libechonest-dev
 Section: libdevel
 Architecture: any
-Depends: libechonest2.0 (= ${binary:Version}), ${misc:Depends}
+Depends: libechonest2.1 (= ${binary:Version}), ${misc:Depends}
 Description: Qt library for The Echo Nest platform - development files
  Libechonest is a Qt library for communicating with 'The Echo Nest':
  an 'intelligent music application platform'. It currently supports all
@@ -34,8 +33,9 @@
 Package: libechonest-dbg
 Section: debug
 Architecture: any
+Multi-Arch: same
 Recommends: libqt4-dbg
-Depends: libechonest2.0 (= ${binary:Version}), ${misc:Depends}
+Depends: libechonest2.1 (= ${binary:Version}), ${misc:Depends}
 Description: Qt library for The Echo Nest platform - debug files
  Libechonest is a Qt library for communicating with 'The Echo Nest':
  an 'intelligent music application platform'. It currently supports all
