=== debian/rules ===
--- 
+++ 
@@ -12,10 +12,7 @@
 override_dh_install:
 	# Replace the correct arch triplet using the templates.
 	sed s/%DEB_HOST_MULTIARCH%/$(DEB_HOST_MULTIARCH)/ \
-	debian/libechonest2.0.install.in > debian/libechonest2.0.install
+	debian/libechonest2.1.install.in > debian/libechonest2.1.install
 	sed s/%DEB_HOST_MULTIARCH%/$(DEB_HOST_MULTIARCH)/ \
 	debian/libechonest-dev.install.in > debian/libechonest-dev.install
-	dh_install
-
-override_dh_makeshlibs:
-	dh_makeshlibs -- -c0
+	dh_install --fail-missing
