## libechonest 2.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,17 +8,55 @@
 set( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII" )
 
-find_package( Qt4 COMPONENTS QtCore QtNetwork QtTest REQUIRED )
-set( QT_DONT_USE_QTGUI TRUE )
+option(ECHONEST_BUILD_TESTS "Build all unit tests" ON)
+option(BUILD_WITH_QT4 "Build libechonest with Qt4 no matter if Qt5 was found" ON)
+
+if( NOT BUILD_WITH_QT4 )
+    find_package(Qt5Core QUIET)
+    # CMAKE 2.8.13+/3.0.0+ requires these for IMPORTed targets
+    find_package(Qt5Xml REQUIRED)
+    if( Qt5Core_DIR )
+        message(STATUS "Found Qt5! Be aware that Qt5-support is still experimental and not officially supported!")
+        set(ECHONEST_LIB_VERSION_SUFFIX 5)
+
+        macro(qt_wrap_cpp)
+            qt5_wrap_cpp(${ARGN})
+        endmacro()
+    endif()
+
+    # pkg-config names of QtCore and QtNetwork are Qt5Core and Qt5Network for
+    # Qt5
+    set(ECHONEST_QT_MAJOR_VERSION "5")
+    set(ECHONEST_PC_DEPS "")
+endif()
+
+if( NOT Qt5Core_DIR )
+    message(STATUS "Could not find Qt5, searching for Qt4 instead...")
+    if( ECHONEST_BUILD_TESTS )
+        find_package( Qt4 COMPONENTS QtCore QtNetwork QtTest REQUIRED )
+    else( ECHONEST_BUILD_TESTS )
+        find_package( Qt4 COMPONENTS QtCore QtNetwork REQUIRED )
+    endif()
+    include( ${QT_USE_FILE} )
+
+    macro(qt5_use_modules)
+    endmacro()
+
+    macro(qt_wrap_cpp)
+        qt4_wrap_cpp(${ARGN})
+    endmacro()
+
+    set(ECHONEST_QT_MAJOR_VERSION "")
+    set(ECHONEST_PC_DEPS "QJson")
+
+    # QJson is only required for Qt4
+    find_package(QJSON REQUIRED)
+endif()
 
 
-find_package(QJSON REQUIRED)
-
-include( ${QT_USE_FILE} )
-
 set( ECHONEST_LIB_MAJOR_VERSION "2" )
-set( ECHONEST_LIB_MINOR_VERSION "1" )
-set( ECHONEST_LIB_PATCH_VERSION "0" )
+set( ECHONEST_LIB_MINOR_VERSION "3" )
+set( ECHONEST_LIB_PATCH_VERSION "1" )
 set( ECHONEST_LIB_VERSION "${ECHONEST_LIB_MAJOR_VERSION}.${ECHONEST_LIB_MINOR_VERSION}.${ECHONEST_LIB_PATCH_VERSION}" )
 
 set( ECHONEST_LIB_VERSION_SONAME "${ECHONEST_LIB_MAJOR_VERSION}.${ECHONEST_LIB_MINOR_VERSION}")
@@ -42,8 +80,6 @@
     add_definitions(/wd4290)
 endif(MSVC)
 
-
-option(ECHONEST_BUILD_TESTS "Build all unit tests" ON)
 
 if(ECHONEST_BUILD_TESTS)
   enable_testing()
@@ -71,9 +107,9 @@
 SET (INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include" CACHE PATH "The directory the headers are installed in")
 IF (NOT WIN32)
   CONFIGURE_FILE (${CMAKE_CURRENT_SOURCE_DIR}/libechonest.pc.in
-                  ${CMAKE_CURRENT_BINARY_DIR}/libechonest.pc
+                  ${CMAKE_CURRENT_BINARY_DIR}/libechonest${ECHONEST_LIB_VERSION_SUFFIX}.pc
                   @ONLY)
-  INSTALL (FILES ${CMAKE_CURRENT_BINARY_DIR}/libechonest.pc
+  INSTALL (FILES ${CMAKE_CURRENT_BINARY_DIR}/libechonest${ECHONEST_LIB_VERSION_SUFFIX}.pc
            DESTINATION lib${LIB_SUFFIX}/pkgconfig)
 ENDIF (NOT WIN32)
 
@@ -97,6 +133,8 @@
 ADD_CUSTOM_TARGET(uninstall
   "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")
 
+set(ECHONEST_LIB_TARGET_NAME echonest${ECHONEST_LIB_VERSION_SUFFIX} CACHE INTERNAL "Target name of libechonest" FORCE)
+
 add_subdirectory( src )
 
 if( ECHONEST_BUILD_TESTS )
