=== debian/changelog ===
libechonest (2.3.1-0.3) unstable; urgency=low

  [ Stefan Ahlers ]
  * Non-maintainer upload, with maintainer permission.
  * Fix symbols again (Closes: #807589).
  * Drop bogus libechonest2.1 (Closes: #807507)
    - fix already inplace in the previous upload.

  [ Gianfranco Costamagna ]
  * Tweak symbols to build on armhf and arm*.

 -- Stefan Ahlers <stef.ahlers@t-online.de>  Fri, 11 Dec 2015 09:00:00 +0100

libechonest (2.3.1-0.2) unstable; urgency=low

  * Non-maintainer upload, with maintainer permission.
  * Fix symbols.

 -- Stefan Ahlers <stef.ahlers@t-online.de>  Thu, 10 Dec 2015 12:00:00 +0100

libechonest (2.3.1-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New Upstream Release (Closes: #766594)
  * Bump Standars-version to 3.9.6 No changes needed.
  * Update debian/rules and debian/*.install for better multiarch support
  * Start Qt5 support
  * Fix installation of pkgconfig files (Closes: #794811)

 -- Stefan Ahlers <stef.ahlers@t-online.de>  Thu, 26 Nov 2015 09:00:00 +0100
 

libechonest (2.1.0-3) unstable; urgency=low

  * Set myself as the new maintainer with permission of Lisandro the original
    maintainer.
  * Update package repository location.

 -- Thomas Pierson <contact@thomaspierson.fr>  Sun, 11 Oct 2015 22:43:01 +0200
