=== debian/control ===
Source: libechonest
Priority: extra
Maintainer: Thomas Pierson <contact@thomaspierson.fr>
Build-Depends: dpkg (>= 1.16.1~), 
	       debhelper (>= 9), 
	       cmake, 
	       libqt4-dev,
	       qtbase5-dev,
 	       libqjson-dev, 
 	       pkg-config, 
 	       pkg-kde-tools
Standards-Version: 3.9.6
Section: libs
Homepage: https://projects.kde.org/projects/playground/libs/libechonest
Vcs-Git: git://thomaspierson.fr/pkg-libechonest.git
Vcs-Browser: http://gitweb.thomaspierson.fr/?p=pkg-libechonest.git;a=summary

Package: libechonest2.3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Qt4 library for communicating with The Echo Nest platform
 Libechonest is a Qt4 library for communicating with 'The Echo Nest':
 an 'intelligent music application platform'. It currently supports all
 of the features of the Echo Nest API, including all the API functions.

Package: libechonest-dev
Section: libdevel
Architecture: any
Depends: libechonest2.3 (= ${binary:Version}), ${misc:Depends}
Description: Qt4 library for The Echo Nest platform - development files
 Libechonest is a Qt4 library for communicating with 'The Echo Nest':
 an 'intelligent music application platform'. It currently supports all
 of the features of the Echo Nest API, including all the API functions.
 .
 These are the development files.

Package: libechonest-dbg
Section: debug
Architecture: any
Multi-Arch: same
Recommends: libqt4-dbg
Depends: libechonest2.3 (= ${binary:Version}), ${misc:Depends}
Description: Qt4 library for The Echo Nest platform - debug files
 Libechonest is a Qt library for communicating with 'The Echo Nest':
 an 'intelligent music application platform'. It currently supports all
 of the features of the Echo Nest API, including all the API functions.
 .
 These are the debuging files.
 
Package: libechonest5-2.3
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Qt5 library for communicating with The Echo Nest platform
 Libechonest is a Qt5 library for communicating with 'The Echo Nest':
 an 'intelligent music application platform'. It currently supports all
 of the features of the Echo Nest API, including all the API functions.

Package: libechonest5-dev
Section: libdevel
Architecture: any
Depends: libechonest5-2.3 (= ${binary:Version}), ${misc:Depends}
Description: Qt5 library for The Echo Nest platform - development files
 Libechonest is a Qt5 library for communicating with 'The Echo Nest':
 an 'intelligent music application platform'. It currently supports all
 of the features of the Echo Nest API, including all the API functions.
 .
 These are the development files.

Package: libechonest5-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: libechonest5-2.3 (= ${binary:Version}), ${misc:Depends}
Description: Qt5 library for The Echo Nest platform - debug files
 Libechonest is a Qt5 library for communicating with 'The Echo Nest':
 an 'intelligent music application platform'. It currently supports all
 of the features of the Echo Nest API, including all the API functions.
 .
 These are the debuging files.
