=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://files.lfranchi.com/libechonest-(.*)\.tar\.bz2
